---


# This file is part of portage-hooks-manager.

# portage-hooks-manager is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, version 3.

# portage-hooks-manager is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with portage-hooks-manager.  If not, see <https://www.gnu.org/licenses/>.

# Copyright (c) 2022, src_prepare group
# Original author: Maciej Barć <xgqt@riseup.net>
# Licensed under the GNU GPL v3 License
# SPDX-License-Identifier: GPL-3.0-only


variables:
  GIT_SUBMODULE_STRATEGY: recursive
  TERM: dumb

stages:
  - test


image: alpine:latest

before_script:
  - apk add make python3 py3-gitpython py3-pip py3-pytest


test:
  stage: test

  script:
    - make ci
